Module javafx.base
Package javafx.beans.property

# Class BooleanProperty

java.lang.Object
javafx.beans.binding.BooleanExpression
javafx.beans.property.ReadOnlyBooleanProperty
javafx.beans.property.BooleanProperty

All Implemented Interfaces:
  `Observable`, `Property<Boolean>`, `ReadOnlyProperty<Boolean>`, `ObservableBooleanValue`, `ObservableValue<Boolean>`, `WritableBooleanValue`, `WritableValue<Boolean>`

Direct Known Subclasses:
  `BooleanPropertyBase`, `JavaBeanBooleanProperty`

    public abstract class BooleanProperty
    extends ReadOnlyBooleanProperty
    implements Property<Boolean>, WritableBooleanValue

This class provides a full implementation of a `Property` wrapping a `boolean` value.

The value of a `BooleanProperty` can be get and set with `ObservableBooleanValue.get()`, `BooleanExpression.getValue()`, `WritableBooleanValue.set(boolean)`, and `setValue(Boolean)`.

A property can be bound and unbound unidirectional with `Property.bind(ObservableValue)` and `Property.unbind()`. Bidirectional bindings can be created and removed with `bindBidirectional(Property)` and `unbindBidirectional(Property)`.

The context of a `BooleanProperty` can be read with `ReadOnlyProperty.getBean()` and `ReadOnlyProperty.getName()`.

Note: setting or binding this property to a null value will set the property to "false". See `setValue(java.lang.Boolean)`.

Since:
  JavaFX 2.0
See Also:
  `ObservableBooleanValue`, `WritableBooleanValue`, `ReadOnlyBooleanProperty`, `Property`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BooleanProperty()` | Sole constructor

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ObjectProperty<Boolean>` | `asObject()` | Creates an `ObjectProperty` that holds the value of this `BooleanProperty`.
  `void` | `bindBidirectional​(Property<Boolean> other)` | Create a bidirectional binding between this `Property` and another one.
  `static BooleanProperty` | `booleanProperty​(Property<Boolean> property)` | Returns a `BooleanProperty` that wraps a `Property`.
  `void` | `setValue​(Boolean v)` | Set the wrapped value.
  `String` | `toString()` | Returns a string representation of this `BooleanProperty` object.
  `void` | `unbindBidirectional​(Property<Boolean> other)` | Remove a bidirectional binding between this `Property` and another one.

  ### Methods inherited from class javafx.beans.property.ReadOnlyBooleanProperty

  `readOnlyBooleanProperty`

  ### Methods inherited from class javafx.beans.binding.BooleanExpression

  `and, asString, booleanExpression, booleanExpression, getValue, isEqualTo, isNotEqualTo, not, or`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods inherited from interface javafx.beans.value.ObservableBooleanValue

  `get`

  ### Methods inherited from interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods inherited from interface javafx.beans.property.Property

  `bind, isBound, unbind`

  ### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods inherited from interface javafx.beans.value.WritableBooleanValue

  `get, set`

  ### Methods inherited from interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### BooleanProperty

    public BooleanProperty()
    Sole constructor

- ## Method Details

  - ### setValue

    public void setValue​(Boolean v)
    Set the wrapped value.
    Specified by:
      `setValue` in interface `WritableBooleanValue`
    Specified by:
      `setValue` in interface `WritableValue<Boolean>`
    Parameters:
      `v` - The new value

  - ### bindBidirectional

    public void bindBidirectional​(Property<Boolean> other)
    Create a bidirectional binding between this `Property` and another one. Bidirectional bindings exists independently of unidirectional bindings. So it is possible to add unidirectional binding to a property with bidirectional binding and vice-versa. However, this practice is discouraged.

    It is possible to have multiple bidirectional bindings of one Property.

    JavaFX bidirectional binding implementation use weak listeners. This means bidirectional binding does not prevent properties from being garbage collected.

    Specified by:
      `bindBidirectional` in interface `Property<Boolean>`
    Parameters:
      `other` - the other `Property`

  - ### unbindBidirectional

    public void unbindBidirectional​(Property<Boolean> other)
    Remove a bidirectional binding between this `Property` and another one. If no bidirectional binding between the properties exists, calling this method has no effect. It is possible to unbind by a call on the second property. This code will work:

    >          property1.bindBirectional(property2);
    >          property2.unbindBidirectional(property1);

    Specified by:
      `unbindBidirectional` in interface `Property<Boolean>`
    Parameters:
      `other` - the other `Property`

  - ### toString

    public String toString()
    Returns a string representation of this `BooleanProperty` object.
    Overrides:
      `toString` in class `ReadOnlyBooleanProperty`
    Returns:
      a string representation of this `BooleanProperty` object.

  - ### booleanProperty

    public static BooleanProperty booleanProperty​(Property<Boolean> property)
    Returns a `BooleanProperty` that wraps a `Property`. If the `Property` is already a `BooleanProperty`, it will be returned. Otherwise a new `BooleanProperty` is created that is bound to the `Property`. Note: null values in the source property will be interpreted as "false"
    Parameters:
      `property` - The source `Property`
    Returns:
      A `BooleanProperty` that wraps the `Property` if necessary
    Throws:
      `NullPointerException` - if `property` is `null`
    Since:
      JavaFX 8.0

  - ### asObject

    public ObjectProperty<Boolean> asObject()
    Creates an `ObjectProperty` that holds the value of this `BooleanProperty`. If the value of this `BooleanProperty` changes, the value of the `ObjectProperty` will be updated automatically.
    Overrides:
      `asObject` in class `ReadOnlyBooleanProperty`
    Returns:
      the new `ObjectProperty`
    Since:
      JavaFX 8.0